VisualEditor: [Regression wmf5] Beta warning appears for every edit for users who didn't get a cookie set whilst anon
Closed, ResolvedPublic

Description

On mediawiki.org in both Chrome and FF.

Edit any page with VE, either logged in or not. Note that you get the beta warning.

Save your edit. Edit the page again.

See the beta warning again.

After one new VE edit, the user should never see the beta warning again. This is controlled by setting a cookie in the browser. No betawarning cookie is being set now.


Version: unspecified
Severity: major

bzimport set Reference to bz65821.
Cmcmahon created this task.Via LegacyMay 27 2014, 5:12 PM
Cmcmahon added a comment.Via ConduitMay 27 2014, 5:14 PM
  • Bug 65710 has been marked as a duplicate of this bug. ***
Cmcmahon added a comment.Via ConduitMay 27 2014, 5:38 PM

Actually, this is seen on test2 only so far.

Jdforrester-WMF added a comment.Via ConduitMay 27 2014, 6:16 PM

Yeah, this is a worrying regression, possibly due to the bug 55551 changes.

(Saw breakage for Rummana on her account on MW.org, so this is probably a timing issue related to when the accounts hit a wiki before the code changed or similar?)

Jdforrester-WMF added a comment.Via ConduitMay 27 2014, 7:01 PM

Also getting reports of this on enwiki etc. – not great.

gerritbot added a comment.Via ConduitMay 29 2014, 4:42 PM

Change 136120 had a related patch set uploaded by Alex Monk:
Fix beta warning appearing for some users that it shouldn't.

https://gerrit.wikimedia.org/r/136120

gerritbot added a comment.Via ConduitMay 29 2014, 4:57 PM

Change 136120 merged by jenkins-bot:
Fix beta warning appearing for some users that it shouldn't.

https://gerrit.wikimedia.org/r/136120

gerritbot added a comment.Via ConduitMay 29 2014, 4:57 PM

Change 136124 had a related patch set uploaded by Jforrester:
Fix beta warning appearing for some users that it shouldn't.

https://gerrit.wikimedia.org/r/136124

gerritbot added a comment.Via ConduitMay 30 2014, 8:39 PM

Change 136122 had a related patch set uploaded by Alex Monk:
Fix beta warning appearing for some users that it shouldn't.

https://gerrit.wikimedia.org/r/136122

gerritbot added a comment.Via ConduitMay 30 2014, 9:24 PM

Change 136122 merged by jenkins-bot:
Fix beta warning appearing for some users that it shouldn't.

https://gerrit.wikimedia.org/r/136122

gerritbot added a comment.Via ConduitMay 30 2014, 9:24 PM

Change 136124 merged by jenkins-bot:
Fix beta warning appearing for some users that it shouldn't.

https://gerrit.wikimedia.org/r/136124

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.